<?php
/*
*

 ______   _______  __   __  _______  _______  ___   _______ 
|      | |       ||  |_|  ||       ||       ||   | |       |
|  _    ||    ___||       ||   _   ||_     _||   | |       |
| | |   ||   |___ |       ||  | |  |  |   |  |   | |       |
| |_|   ||    ___||       ||  |_|  |  |   |  |   | |      _|
|       ||   |___ | ||_|| ||       |  |   |  |   | |     |_ 
|______| |_______||_|   |_||_______|  |___|  |___| |_______|
 _______  __   __  _______                                  
|       ||  |_|  ||       |                                 
|       ||       ||  _____|                                 
|       ||       || |_____                                  
|      _||       ||_____  |                                 
|     |_ | ||_|| | _____| |                                 
|_______||_|   |_||_______|                                                   
                                              
                                           
*
*
*/

/**
 * Demotic CMS is a fork of ImpressPages.
 * AUTHOR: Demotic
 * @package Demotic
 */

namespace Demotic\Gebtu\Administrators;


class Service
{
    public static function add($username, $email, $password)
    {
        return Model::addAdministrator($username, $email, $password);
    }

    public static function get($userId)
    {
        return Model::get($userId);
    }

    public static function getByUsername($username)
    {
        return Model::getByUsername($username);
    }


    public static function getById($id)
    {
        return Model::getById($id);
    }

    public static function getByEmail($email)
    {
        return Model::getByEmail($email);
    }

    public static function checkPassword($userId, $password)
    {
        return Model::checkPassword($userId, $password);
    }

    public static function sendResetPasswordLink($userId)
    {
        Model::sendResetPasswordLink($userId);
    }

    public static function setUserPassword($userId, $password)
    {
        Model::setUserPassword($userId, $password);
    }

    public static function update($userId, $username, $email, $password)
    {
        Model::update($userId, $username, $email, $password);
    }

    public static function resetPassword($userId, $secret, $password)
    {
        Model::resetPassword($userId, $secret, $password);
    }


    public static function getAll()
    {
        return Model::getAll();
    }

    public static function delete($id)
    {
        Model::delete($id);
    }

}
